Skip to main content
GET
/
files
/
{id}
Get a signed download URL for a file
curl --request GET \
  --url https://api.spike.ac/files/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "filename": "<string>",
  "mime_type": "<string>",
  "size": 123,
  "download_url": "<string>",
  "expires_in": 123
}

Documentation Index

Fetch the complete documentation index at: https://doc.spike.ac/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication using either a Supabase JWT token or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.

Path Parameters

id
string<uuid>
required

File ID

Response

File download information with signed URL

id
string<uuid>
required

File ID

filename
string
required

Original filename

mime_type
string
required

MIME type of the file

size
number
required

File size in bytes

download_url
string<uri>
required

Signed download URL

expires_in
number
required

URL expiration time in seconds